// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.5
// timestamp : Thu May 20 05:54:26 2021 GMT
// usage     : riscv_ctg \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/dataset.cgf \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/rv32i_k.cgf \
//                  --base-isa rv32i \
//                  --randomize
// -----------
//
// -----------
// Copyright (c) 2021. Indian Institute of Technology Madras. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the rori instruction of the RISC-V  extension for the rori covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV32I")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*K.*);def TEST_CASE_1=True;",rori)

RVTEST_CASE(1,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKs.*);def TEST_CASE_1=True;",rori)

RVTEST_CASE(2,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKn.*);def TEST_CASE_1=True;",rori)

RVTEST_CASE(3,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKb.*);def TEST_CASE_1=True;",rori)

RVTEST_SIGBASE( x2,signature_x2_1)

inst_0:
// rs1 != rd, rs1==x21, rd==x7, rs1_val == 0xFFFFFFFF and imm_val == 0x02 
// opcode: rori ; op1:x21; dest:x7; op1val:0xffffffff;  immval:0x2
TEST_IMM_OP( rori, x7, x21, 0x00000000, 0xffffffff, 0x2, x2, 0, x4)

inst_1:
// rs1 == rd, rs1==x1, rd==x1, imm_val == 0x00 and rs1_val == 0x2DEDB6A7 
// opcode: rori ; op1:x1; dest:x1; op1val:0x2dedb6a7;  immval:0x0
TEST_IMM_OP( rori, x1, x1, 0x00000000, 0x2dedb6a7, 0x0, x2, 4, x4)

inst_2:
// rs1==x5, rd==x9, imm_val == 0x10 and rs1_val == 0x3C272728 
// opcode: rori ; op1:x5; dest:x9; op1val:0x3c272728;  immval:0x10
TEST_IMM_OP( rori, x9, x5, 0x00000000, 0x3c272728, 0x10, x2, 8, x4)

inst_3:
// rs1==x12, rd==x31, imm_val == 0x18 and rs1_val == 0x4F55C73D 
// opcode: rori ; op1:x12; dest:x31; op1val:0x4f55c73d;  immval:0x18
TEST_IMM_OP( rori, x31, x12, 0x00000000, 0x4f55c73d, 0x18, x2, 12, x4)

inst_4:
// rs1==x7, rd==x19, imm_val == 0x14 and rs1_val == 0xB0AB577A 
// opcode: rori ; op1:x7; dest:x19; op1val:0xb0ab577a;  immval:0x14
TEST_IMM_OP( rori, x19, x7, 0x00000000, 0xb0ab577a, 0x14, x2, 16, x4)

inst_5:
// rs1==x19, rd==x11, imm_val == 0x1A and rs1_val == 0xF0EB21AA 
// opcode: rori ; op1:x19; dest:x11; op1val:0xf0eb21aa;  immval:0x1a
TEST_IMM_OP( rori, x11, x19, 0x00000000, 0xf0eb21aa, 0x1a, x2, 20, x4)

inst_6:
// rs1==x28, rd==x10, imm_val == 0x1B and rs1_val == 0xA9E16E27 
// opcode: rori ; op1:x28; dest:x10; op1val:0xa9e16e27;  immval:0x1b
TEST_IMM_OP( rori, x10, x28, 0x00000000, 0xa9e16e27, 0x1b, x2, 24, x4)

inst_7:
// rs1==x30, rd==x13, rs1_val == 0x00000000 and imm_val == 0x0C 
// opcode: rori ; op1:x30; dest:x13; op1val:0x0;  immval:0xc
TEST_IMM_OP( rori, x13, x30, 0x00000000, 0x0, 0xc, x2, 28, x4)

inst_8:
// rs1==x23, rd==x26, rs1_val == 0x80000000 and imm_val == 0x05 
// opcode: rori ; op1:x23; dest:x26; op1val:0x80000000;  immval:0x5
TEST_IMM_OP( rori, x26, x23, 0x00000000, 0x80000000, 0x5, x2, 32, x4)

inst_9:
// rs1==x18, rd==x3, rs1_val == 0x40000000 and imm_val == 0x01 
// opcode: rori ; op1:x18; dest:x3; op1val:0x40000000;  immval:0x1
TEST_IMM_OP( rori, x3, x18, 0x00000000, 0x40000000, 0x1, x2, 36, x4)

inst_10:
// rs1==x24, rd==x29, rs1_val == 0x60000000 and imm_val == 0x18 
// opcode: rori ; op1:x24; dest:x29; op1val:0x60000000;  immval:0x18
TEST_IMM_OP( rori, x29, x24, 0x00000000, 0x60000000, 0x18, x2, 40, x4)

inst_11:
// rs1==x3, rd==x18, rs1_val == 0xB0000000 and imm_val == 0x1E 
// opcode: rori ; op1:x3; dest:x18; op1val:0xb0000000;  immval:0x1e
TEST_IMM_OP( rori, x18, x3, 0x00000000, 0xb0000000, 0x1e, x2, 44, x4)

inst_12:
// rs1==x31, rd==x25, rs1_val == 0x08000000 and imm_val == 0x1A 
// opcode: rori ; op1:x31; dest:x25; op1val:0x8000000;  immval:0x1a
TEST_IMM_OP( rori, x25, x31, 0x00000000, 0x8000000, 0x1a, x2, 48, x4)

inst_13:
// rs1==x20, rd==x28, rs1_val == 0xF4000000 and imm_val == 0x05 
// opcode: rori ; op1:x20; dest:x28; op1val:0xf4000000;  immval:0x5
TEST_IMM_OP( rori, x28, x20, 0x00000000, 0xf4000000, 0x5, x2, 52, x4)

inst_14:
// rs1==x26, rd==x14, rs1_val == 0x82000000 and imm_val == 0x0A 
// opcode: rori ; op1:x26; dest:x14; op1val:0x82000000;  immval:0xa
TEST_IMM_OP( rori, x14, x26, 0x00000000, 0x82000000, 0xa, x2, 56, x4)

inst_15:
// rs1==x11, rd==x8, rs1_val == 0xFD000000 and imm_val == 0x03 
// opcode: rori ; op1:x11; dest:x8; op1val:0xfd000000;  immval:0x3
TEST_IMM_OP( rori, x8, x11, 0x00000000, 0xfd000000, 0x3, x2, 60, x4)

inst_16:
// rs1==x10, rd==x21, rs1_val == 0xD8800000 and imm_val == 0x0A 
// opcode: rori ; op1:x10; dest:x21; op1val:0xd8800000;  immval:0xa
TEST_IMM_OP( rori, x21, x10, 0x00000000, 0xd8800000, 0xa, x2, 64, x4)

inst_17:
// rs1==x27, rd==x15, rs1_val == 0xC8C00000 and imm_val == 0x14 
// opcode: rori ; op1:x27; dest:x15; op1val:0xc8c00000;  immval:0x14
TEST_IMM_OP( rori, x15, x27, 0x00000000, 0xc8c00000, 0x14, x2, 68, x4)

inst_18:
// rs1==x29, rd==x6, rs1_val == 0xA3200000 and imm_val == 0x08 
// opcode: rori ; op1:x29; dest:x6; op1val:0xa3200000;  immval:0x8
TEST_IMM_OP( rori, x6, x29, 0x00000000, 0xa3200000, 0x8, x2, 72, x4)

inst_19:
// rs1==x16, rd==x20, rs1_val == 0xC7900000 and imm_val == 0x1B 
// opcode: rori ; op1:x16; dest:x20; op1val:0xc7900000;  immval:0x1b
TEST_IMM_OP( rori, x20, x16, 0x00000000, 0xc7900000, 0x1b, x2, 76, x4)

inst_20:
// rs1==x25, rd==x16, rs1_val == 0x46880000 and imm_val == 0x1C 
// opcode: rori ; op1:x25; dest:x16; op1val:0x46880000;  immval:0x1c
TEST_IMM_OP( rori, x16, x25, 0x00000000, 0x46880000, 0x1c, x2, 80, x3)

inst_21:
// rs1==x0, rd==x27, rs1_val == 0x55440000 and imm_val == 0x1B 
// opcode: rori ; op1:x0; dest:x27; op1val:0x0;  immval:0x1b
TEST_IMM_OP( rori, x27, x0, 0x00000000, 0x0, 0x1b, x2, 84, x3)

inst_22:
// rs1==x8, rd==x30, rs1_val == 0xA56A0000 and imm_val == 0x0E 
// opcode: rori ; op1:x8; dest:x30; op1val:0xa56a0000;  immval:0xe
TEST_IMM_OP( rori, x30, x8, 0x00000000, 0xa56a0000, 0xe, x2, 88, x3)

inst_23:
// rs1==x22, rd==x17, rs1_val == 0x405D0000 and imm_val == 0x03 
// opcode: rori ; op1:x22; dest:x17; op1val:0x405d0000;  immval:0x3
TEST_IMM_OP( rori, x17, x22, 0x00000000, 0x405d0000, 0x3, x2, 92, x3)
RVTEST_SIGBASE( x1,signature_x1_0)

inst_24:
// rs1==x6, rd==x4, rs1_val == 0xCD2F8000 and imm_val == 0x05 
// opcode: rori ; op1:x6; dest:x4; op1val:0xcd2f8000;  immval:0x5
TEST_IMM_OP( rori, x4, x6, 0x00000000, 0xcd2f8000, 0x5, x1, 0, x3)

inst_25:
// rs1==x17, rd==x5, rs1_val == 0xA6C04000 and imm_val == 0x19 
// opcode: rori ; op1:x17; dest:x5; op1val:0xa6c04000;  immval:0x19
TEST_IMM_OP( rori, x5, x17, 0x00000000, 0xa6c04000, 0x19, x1, 4, x3)

inst_26:
// rs1==x14, rd==x22, rs1_val == 0x33BC2000 and imm_val == 0x15 
// opcode: rori ; op1:x14; dest:x22; op1val:0x33bc2000;  immval:0x15
TEST_IMM_OP( rori, x22, x14, 0x00000000, 0x33bc2000, 0x15, x1, 8, x3)

inst_27:
// rs1==x15, rd==x2, rs1_val == 0xF1C6B000 and imm_val == 0x0C 
// opcode: rori ; op1:x15; dest:x2; op1val:0xf1c6b000;  immval:0xc
TEST_IMM_OP( rori, x2, x15, 0x00000000, 0xf1c6b000, 0xc, x1, 12, x3)

inst_28:
// rs1==x9, rd==x12, rs1_val == 0xAA3D6800 and imm_val == 0x0D 
// opcode: rori ; op1:x9; dest:x12; op1val:0xaa3d6800;  immval:0xd
TEST_IMM_OP( rori, x12, x9, 0x00000000, 0xaa3d6800, 0xd, x1, 16, x3)

inst_29:
// rs1==x13, rd==x0, rs1_val == 0x7AA5E400 and imm_val == 0x0A 
// opcode: rori ; op1:x13; dest:x0; op1val:0x7aa5e400;  immval:0xa
TEST_IMM_OP( rori, x0, x13, 0x00000000, 0x7aa5e400, 0xa, x1, 20, x3)

inst_30:
// rs1==x4, rd==x23, rs1_val == 0xC1B7AE00 and imm_val == 0x1C 
// opcode: rori ; op1:x4; dest:x23; op1val:0xc1b7ae00;  immval:0x1c
TEST_IMM_OP( rori, x23, x4, 0x00000000, 0xc1b7ae00, 0x1c, x1, 24, x3)

inst_31:
// rs1==x2, rd==x24, rs1_val == 0x4C56BB00 and imm_val == 0x09 
// opcode: rori ; op1:x2; dest:x24; op1val:0x4c56bb00;  immval:0x9
TEST_IMM_OP( rori, x24, x2, 0x00000000, 0x4c56bb00, 0x9, x1, 28, x3)

inst_32:
// rs1_val == 0x72C58380 and imm_val == 0x00 
// opcode: rori ; op1:x10; dest:x11; op1val:0x72c58380;  immval:0x0
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x72c58380, 0x0, x1, 32, x3)

inst_33:
// rs1_val == 0x32AB8740 and imm_val == 0x0E 
// opcode: rori ; op1:x10; dest:x11; op1val:0x32ab8740;  immval:0xe
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x32ab8740, 0xe, x1, 36, x3)

inst_34:
// rs1_val == 0x96CDF1A0 and imm_val == 0x1D 
// opcode: rori ; op1:x10; dest:x11; op1val:0x96cdf1a0;  immval:0x1d
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x96cdf1a0, 0x1d, x1, 40, x3)

inst_35:
// rs1_val == 0xB87A9E30 and imm_val == 0x11 
// opcode: rori ; op1:x10; dest:x11; op1val:0xb87a9e30;  immval:0x11
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xb87a9e30, 0x11, x1, 44, x3)

inst_36:
// rs1_val == 0x163DFF98 and imm_val == 0x17 
// opcode: rori ; op1:x10; dest:x11; op1val:0x163dff98;  immval:0x17
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x163dff98, 0x17, x1, 48, x3)

inst_37:
// rs1_val == 0x9205D39C and imm_val == 0x18 
// opcode: rori ; op1:x10; dest:x11; op1val:0x9205d39c;  immval:0x18
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x9205d39c, 0x18, x1, 52, x3)

inst_38:
// rs1_val == 0x50A03C5A and imm_val == 0x16 
// opcode: rori ; op1:x10; dest:x11; op1val:0x50a03c5a;  immval:0x16
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x50a03c5a, 0x16, x1, 56, x3)

inst_39:
// rs1_val == 0x797D76DF and imm_val == 0x11 
// opcode: rori ; op1:x10; dest:x11; op1val:0x797d76df;  immval:0x11
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x797d76df, 0x11, x1, 60, x3)

inst_40:
// imm_val == 0x08 and rs1_val == 0x24496FE3 
// opcode: rori ; op1:x10; dest:x11; op1val:0x24496fe3;  immval:0x8
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x24496fe3, 0x8, x1, 64, x3)

inst_41:
// imm_val == 0x1D and rs1_val == 0xDE14BFF2 
// opcode: rori ; op1:x10; dest:x11; op1val:0xde14bff2;  immval:0x1d
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xde14bff2, 0x1d, x1, 68, x3)

inst_42:
// imm_val == 0x03 and rs1_val == 0xB808A677 
// opcode: rori ; op1:x10; dest:x11; op1val:0xb808a677;  immval:0x3
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xb808a677, 0x3, x1, 72, x3)

inst_43:
// imm_val == 0x07 and rs1_val == 0x76B1FD3D 
// opcode: rori ; op1:x10; dest:x11; op1val:0x76b1fd3d;  immval:0x7
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x76b1fd3d, 0x7, x1, 76, x3)

inst_44:
// imm_val == 0x0F and rs1_val == 0x5DCF019D 
// opcode: rori ; op1:x10; dest:x11; op1val:0x5dcf019d;  immval:0xf
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x5dcf019d, 0xf, x1, 80, x3)

inst_45:
// imm_val == 0x1F and rs1_val == 0x47B7097B 
// opcode: rori ; op1:x10; dest:x11; op1val:0x47b7097b;  immval:0x1f
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x47b7097b, 0x1f, x1, 84, x3)

inst_46:
// rs1_val == 0x759F1B44 and imm_val == 0x10 
// opcode: rori ; op1:x10; dest:x11; op1val:0x759f1b44;  immval:0x10
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x759f1b44, 0x10, x1, 88, x3)

inst_47:
// rs1_val == 0x40D90A1D and imm_val == 0x17 
// opcode: rori ; op1:x10; dest:x11; op1val:0x40d90a1d;  immval:0x17
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x40d90a1d, 0x17, x1, 92, x3)

inst_48:
// rs1_val == 0x2DEDF123 and imm_val == 0x16 
// opcode: rori ; op1:x10; dest:x11; op1val:0x2dedf123;  immval:0x16
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x2dedf123, 0x16, x1, 96, x3)

inst_49:
// rs1_val == 0x4B1634E7 and imm_val == 0x0C 
// opcode: rori ; op1:x10; dest:x11; op1val:0x4b1634e7;  immval:0xc
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x4b1634e7, 0xc, x1, 100, x3)

inst_50:
// rs1_val == 0x8935B82F and imm_val == 0x0B 
// opcode: rori ; op1:x10; dest:x11; op1val:0x8935b82f;  immval:0xb
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x8935b82f, 0xb, x1, 104, x3)

inst_51:
// rs1_val == 0x70BCB8DF and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0x70bcb8df;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x70bcb8df, 0x1c, x1, 108, x3)

inst_52:
// rs1_val == 0x8DE1C73F and imm_val == 0x08 
// opcode: rori ; op1:x10; dest:x11; op1val:0x8de1c73f;  immval:0x8
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x8de1c73f, 0x8, x1, 112, x3)

inst_53:
// rs1_val == 0xB0E04E7F and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0xb0e04e7f;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xb0e04e7f, 0x1c, x1, 116, x3)

inst_54:
// rs1_val == 0x589218FF and imm_val == 0x10 
// opcode: rori ; op1:x10; dest:x11; op1val:0x589218ff;  immval:0x10
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x589218ff, 0x10, x1, 120, x3)

inst_55:
// rs1_val == 0xA7BE99FF and imm_val == 0x07 
// opcode: rori ; op1:x10; dest:x11; op1val:0xa7be99ff;  immval:0x7
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xa7be99ff, 0x7, x1, 124, x3)

inst_56:
// rs1_val == 0xA37E33FF and imm_val == 0x14 
// opcode: rori ; op1:x10; dest:x11; op1val:0xa37e33ff;  immval:0x14
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xa37e33ff, 0x14, x1, 128, x3)

inst_57:
// rs1_val == 0xE37D37FF and imm_val == 0x1B 
// opcode: rori ; op1:x10; dest:x11; op1val:0xe37d37ff;  immval:0x1b
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xe37d37ff, 0x1b, x1, 132, x3)

inst_58:
// rs1_val == 0xABB4CFFF and imm_val == 0x17 
// opcode: rori ; op1:x10; dest:x11; op1val:0xabb4cfff;  immval:0x17
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xabb4cfff, 0x17, x1, 136, x3)

inst_59:
// rs1_val == 0x7C9DDFFF and imm_val == 0x1B 
// opcode: rori ; op1:x10; dest:x11; op1val:0x7c9ddfff;  immval:0x1b
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x7c9ddfff, 0x1b, x1, 140, x3)

inst_60:
// rs1_val == 0x5B11BFFF and imm_val == 0x0E 
// opcode: rori ; op1:x10; dest:x11; op1val:0x5b11bfff;  immval:0xe
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x5b11bfff, 0xe, x1, 144, x3)

inst_61:
// rs1_val == 0xCB347FFF and imm_val == 0x10 
// opcode: rori ; op1:x10; dest:x11; op1val:0xcb347fff;  immval:0x10
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xcb347fff, 0x10, x1, 148, x3)

inst_62:
// rs1_val == 0xF306FFFF and imm_val == 0x08 
// opcode: rori ; op1:x10; dest:x11; op1val:0xf306ffff;  immval:0x8
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xf306ffff, 0x8, x1, 152, x3)

inst_63:
// rs1_val == 0xBEA5FFFF and imm_val == 0x1B 
// opcode: rori ; op1:x10; dest:x11; op1val:0xbea5ffff;  immval:0x1b
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xbea5ffff, 0x1b, x1, 156, x3)

inst_64:
// rs1_val == 0xD38BFFFF and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0xd38bffff;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xd38bffff, 0x1c, x1, 160, x3)

inst_65:
// rs1_val == 0x15B7FFFF and imm_val == 0x10 
// opcode: rori ; op1:x10; dest:x11; op1val:0x15b7ffff;  immval:0x10
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x15b7ffff, 0x10, x1, 164, x3)

inst_66:
// rs1_val == 0xD58FFFFF and imm_val == 0x09 
// opcode: rori ; op1:x10; dest:x11; op1val:0xd58fffff;  immval:0x9
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xd58fffff, 0x9, x1, 168, x3)

inst_67:
// rs1_val == 0xFE1FFFFF and imm_val == 0x11 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfe1fffff;  immval:0x11
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfe1fffff, 0x11, x1, 172, x3)

inst_68:
// rs1_val == 0x203FFFFF and imm_val == 0x00 
// opcode: rori ; op1:x10; dest:x11; op1val:0x203fffff;  immval:0x0
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x203fffff, 0x0, x1, 176, x3)

inst_69:
// rs1_val == 0x077FFFFF and imm_val == 0x1B 
// opcode: rori ; op1:x10; dest:x11; op1val:0x77fffff;  immval:0x1b
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x77fffff, 0x1b, x1, 180, x3)

inst_70:
// rs1_val == 0xBEFFFFFF and imm_val == 0x12 
// opcode: rori ; op1:x10; dest:x11; op1val:0xbeffffff;  immval:0x12
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xbeffffff, 0x12, x1, 184, x3)

inst_71:
// rs1_val == 0x89FFFFFF and imm_val == 0x0D 
// opcode: rori ; op1:x10; dest:x11; op1val:0x89ffffff;  immval:0xd
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x89ffffff, 0xd, x1, 188, x3)

inst_72:
// rs1_val == 0x23FFFFFF and imm_val == 0x04 
// opcode: rori ; op1:x10; dest:x11; op1val:0x23ffffff;  immval:0x4
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x23ffffff, 0x4, x1, 192, x3)

inst_73:
// rs1_val == 0xA7FFFFFF and imm_val == 0x0B 
// opcode: rori ; op1:x10; dest:x11; op1val:0xa7ffffff;  immval:0xb
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xa7ffffff, 0xb, x1, 196, x3)

inst_74:
// rs1_val == 0xCFFFFFFF and imm_val == 0x0E 
// opcode: rori ; op1:x10; dest:x11; op1val:0xcfffffff;  immval:0xe
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xcfffffff, 0xe, x1, 200, x3)

inst_75:
// rs1_val == 0x9FFFFFFF and imm_val == 0x09 
// opcode: rori ; op1:x10; dest:x11; op1val:0x9fffffff;  immval:0x9
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x9fffffff, 0x9, x1, 204, x3)

inst_76:
// rs1_val == 0xBFFFFFFF and imm_val == 0x0E 
// opcode: rori ; op1:x10; dest:x11; op1val:0xbfffffff;  immval:0xe
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xbfffffff, 0xe, x1, 208, x3)

inst_77:
// rs1_val == 0x7FFFFFFF and imm_val == 0x0B 
// opcode: rori ; op1:x10; dest:x11; op1val:0x7fffffff;  immval:0xb
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x7fffffff, 0xb, x1, 212, x3)

inst_78:
// rs1_val == 0xFFFFFFFF and imm_val == 0x12 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffffff;  immval:0x12
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffffff, 0x12, x1, 216, x3)

inst_79:
// imm_val == 0x1B and rs1_val == 0x164F1513 
// opcode: rori ; op1:x10; dest:x11; op1val:0x164f1513;  immval:0x1b
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x164f1513, 0x1b, x1, 220, x3)

inst_80:
// imm_val == 0x09 and rs1_val == 0xACC6D8F2 
// opcode: rori ; op1:x10; dest:x11; op1val:0xacc6d8f2;  immval:0x9
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xacc6d8f2, 0x9, x1, 224, x3)

inst_81:
// imm_val == 0x06 and rs1_val == 0xA123F501 
// opcode: rori ; op1:x10; dest:x11; op1val:0xa123f501;  immval:0x6
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xa123f501, 0x6, x1, 228, x3)

inst_82:
// imm_val == 0x02 and rs1_val == 0xB57A6A1D 
// opcode: rori ; op1:x10; dest:x11; op1val:0xb57a6a1d;  immval:0x2
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xb57a6a1d, 0x2, x1, 232, x3)

inst_83:
// imm_val == 0x01 and rs1_val == 0xE90794DF 
// opcode: rori ; op1:x10; dest:x11; op1val:0xe90794df;  immval:0x1
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xe90794df, 0x1, x1, 236, x3)

inst_84:
// imm_val == 0x00 and rs1_val == 0xAF5570EE 
// opcode: rori ; op1:x10; dest:x11; op1val:0xaf5570ee;  immval:0x0
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xaf5570ee, 0x0, x1, 240, x3)

inst_85:
// rs1_val == 0xF542441E and imm_val == 0x01 
// opcode: rori ; op1:x10; dest:x11; op1val:0xf542441e;  immval:0x1
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xf542441e, 0x1, x1, 244, x3)

inst_86:
// rs1_val == 0x62F28D1B and imm_val == 0x04 
// opcode: rori ; op1:x10; dest:x11; op1val:0x62f28d1b;  immval:0x4
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x62f28d1b, 0x4, x1, 248, x3)

inst_87:
// rs1_val == 0x38B9B45D and imm_val == 0x12 
// opcode: rori ; op1:x10; dest:x11; op1val:0x38b9b45d;  immval:0x12
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x38b9b45d, 0x12, x1, 252, x3)

inst_88:
// rs1_val == 0x16809A12 and imm_val == 0x06 
// opcode: rori ; op1:x10; dest:x11; op1val:0x16809a12;  immval:0x6
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x16809a12, 0x6, x1, 256, x3)

inst_89:
// rs1_val == 0x082A1750 and imm_val == 0x06 
// opcode: rori ; op1:x10; dest:x11; op1val:0x82a1750;  immval:0x6
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x82a1750, 0x6, x1, 260, x3)

inst_90:
// rs1_val == 0x079DD25B and imm_val == 0x04 
// opcode: rori ; op1:x10; dest:x11; op1val:0x79dd25b;  immval:0x4
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x79dd25b, 0x4, x1, 264, x3)

inst_91:
// rs1_val == 0x034C687B and imm_val == 0x12 
// opcode: rori ; op1:x10; dest:x11; op1val:0x34c687b;  immval:0x12
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x34c687b, 0x12, x1, 268, x3)

inst_92:
// rs1_val == 0x01B601FD and imm_val == 0x0E 
// opcode: rori ; op1:x10; dest:x11; op1val:0x1b601fd;  immval:0xe
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x1b601fd, 0xe, x1, 272, x3)

inst_93:
// rs1_val == 0x00B302FD and imm_val == 0x10 
// opcode: rori ; op1:x10; dest:x11; op1val:0xb302fd;  immval:0x10
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xb302fd, 0x10, x1, 276, x3)

inst_94:
// rs1_val == 0x0062A6B3 and imm_val == 0x05 
// opcode: rori ; op1:x10; dest:x11; op1val:0x62a6b3;  immval:0x5
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x62a6b3, 0x5, x1, 280, x3)

inst_95:
// rs1_val == 0x00339238 and imm_val == 0x11 
// opcode: rori ; op1:x10; dest:x11; op1val:0x339238;  immval:0x11
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x339238, 0x11, x1, 284, x3)

inst_96:
// rs1_val == 0x00164AF0 and imm_val == 0x05 
// opcode: rori ; op1:x10; dest:x11; op1val:0x164af0;  immval:0x5
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x164af0, 0x5, x1, 288, x3)

inst_97:
// rs1_val == 0x0009222A and imm_val == 0x00 
// opcode: rori ; op1:x10; dest:x11; op1val:0x9222a;  immval:0x0
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x9222a, 0x0, x1, 292, x3)

inst_98:
// rs1_val == 0x0006284E and imm_val == 0x12 
// opcode: rori ; op1:x10; dest:x11; op1val:0x6284e;  immval:0x12
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x6284e, 0x12, x1, 296, x3)

inst_99:
// rs1_val == 0x00035161 and imm_val == 0x0E 
// opcode: rori ; op1:x10; dest:x11; op1val:0x35161;  immval:0xe
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x35161, 0xe, x1, 300, x3)

inst_100:
// rs1_val == 0x00011E24 and imm_val == 0x0C 
// opcode: rori ; op1:x10; dest:x11; op1val:0x11e24;  immval:0xc
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x11e24, 0xc, x1, 304, x3)

inst_101:
// rs1_val == 0x0000F614 and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0xf614;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xf614, 0x1c, x1, 308, x3)

inst_102:
// rs1_val == 0x00005CC1 and imm_val == 0x1D 
// opcode: rori ; op1:x10; dest:x11; op1val:0x5cc1;  immval:0x1d
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x5cc1, 0x1d, x1, 312, x3)

inst_103:
// rs1_val == 0x00003226 and imm_val == 0x01 
// opcode: rori ; op1:x10; dest:x11; op1val:0x3226;  immval:0x1
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x3226, 0x1, x1, 316, x3)

inst_104:
// rs1_val == 0x00001D0C and imm_val == 0x0F 
// opcode: rori ; op1:x10; dest:x11; op1val:0x1d0c;  immval:0xf
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x1d0c, 0xf, x1, 320, x3)

inst_105:
// rs1_val == 0x00000DD4 and imm_val == 0x02 
// opcode: rori ; op1:x10; dest:x11; op1val:0xdd4;  immval:0x2
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xdd4, 0x2, x1, 324, x3)

inst_106:
// rs1_val == 0x000005D1 and imm_val == 0x04 
// opcode: rori ; op1:x10; dest:x11; op1val:0x5d1;  immval:0x4
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x5d1, 0x4, x1, 328, x3)

inst_107:
// rs1_val == 0x000002A7 and imm_val == 0x00 
// opcode: rori ; op1:x10; dest:x11; op1val:0x2a7;  immval:0x0
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x2a7, 0x0, x1, 332, x3)

inst_108:
// rs1_val == 0x00000197 and imm_val == 0x0A 
// opcode: rori ; op1:x10; dest:x11; op1val:0x197;  immval:0xa
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x197, 0xa, x1, 336, x3)

inst_109:
// rs1_val == 0x000000B9 and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0xb9;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xb9, 0x1c, x1, 340, x3)

inst_110:
// rs1_val == 0x0000004C and imm_val == 0x19 
// opcode: rori ; op1:x10; dest:x11; op1val:0x4c;  immval:0x19
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x4c, 0x19, x1, 344, x3)

inst_111:
// rs1_val == 0x00000026 and imm_val == 0x02 
// opcode: rori ; op1:x10; dest:x11; op1val:0x26;  immval:0x2
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x26, 0x2, x1, 348, x3)

inst_112:
// rs1_val == 0x00000012 and imm_val == 0x09 
// opcode: rori ; op1:x10; dest:x11; op1val:0x12;  immval:0x9
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x12, 0x9, x1, 352, x3)

inst_113:
// rs1_val == 0x0000000C and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0xc;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xc, 0x1c, x1, 356, x3)

inst_114:
// rs1_val == 0x00000006 and imm_val == 0x0B 
// opcode: rori ; op1:x10; dest:x11; op1val:0x6;  immval:0xb
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x6, 0xb, x1, 360, x3)

inst_115:
// rs1_val == 0x00000003 and imm_val == 0x1E 
// opcode: rori ; op1:x10; dest:x11; op1val:0x3;  immval:0x1e
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x3, 0x1e, x1, 364, x3)

inst_116:
// rs1_val == 0x00000001 and imm_val == 0x0C 
// opcode: rori ; op1:x10; dest:x11; op1val:0x1;  immval:0xc
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x1, 0xc, x1, 368, x3)

inst_117:
// rs1_val == 0x00000000 and imm_val == 0x1D 
// opcode: rori ; op1:x10; dest:x11; op1val:0x0;  immval:0x1d
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x0, 0x1d, x1, 372, x3)

inst_118:
// imm_val == 0x0F and rs1_val == 0x59432A19 
// opcode: rori ; op1:x10; dest:x11; op1val:0x59432a19;  immval:0xf
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x59432a19, 0xf, x1, 376, x3)

inst_119:
// imm_val == 0x17 and rs1_val == 0xCEB506F6 
// opcode: rori ; op1:x10; dest:x11; op1val:0xceb506f6;  immval:0x17
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xceb506f6, 0x17, x1, 380, x3)

inst_120:
// imm_val == 0x18 and rs1_val == 0xC5EC6148 
// opcode: rori ; op1:x10; dest:x11; op1val:0xc5ec6148;  immval:0x18
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xc5ec6148, 0x18, x1, 384, x3)

inst_121:
// imm_val == 0x1D and rs1_val == 0x99EF1857 
// opcode: rori ; op1:x10; dest:x11; op1val:0x99ef1857;  immval:0x1d
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x99ef1857, 0x1d, x1, 388, x3)

inst_122:
// imm_val == 0x1E and rs1_val == 0x14B91C79 
// opcode: rori ; op1:x10; dest:x11; op1val:0x14b91c79;  immval:0x1e
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x14b91c79, 0x1e, x1, 392, x3)

inst_123:
// imm_val == 0x1F and rs1_val == 0x0973E89C 
// opcode: rori ; op1:x10; dest:x11; op1val:0x973e89c;  immval:0x1f
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x973e89c, 0x1f, x1, 396, x3)

inst_124:
// rs1_val == 0x7843BDB9 and imm_val == 0x1A 
// opcode: rori ; op1:x10; dest:x11; op1val:0x7843bdb9;  immval:0x1a
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x7843bdb9, 0x1a, x1, 400, x3)

inst_125:
// rs1_val == 0x9798C9D0 and imm_val == 0x0E 
// opcode: rori ; op1:x10; dest:x11; op1val:0x9798c9d0;  immval:0xe
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x9798c9d0, 0xe, x1, 404, x3)

inst_126:
// rs1_val == 0xD814D576 and imm_val == 0x0A 
// opcode: rori ; op1:x10; dest:x11; op1val:0xd814d576;  immval:0xa
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xd814d576, 0xa, x1, 408, x3)

inst_127:
// rs1_val == 0xE0A37559 and imm_val == 0x14 
// opcode: rori ; op1:x10; dest:x11; op1val:0xe0a37559;  immval:0x14
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xe0a37559, 0x14, x1, 412, x3)

inst_128:
// rs1_val == 0xF79FB998 and imm_val == 0x1E 
// opcode: rori ; op1:x10; dest:x11; op1val:0xf79fb998;  immval:0x1e
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xf79fb998, 0x1e, x1, 416, x3)

inst_129:
// rs1_val == 0xF87A2561 and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0xf87a2561;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xf87a2561, 0x1c, x1, 420, x3)

inst_130:
// rs1_val == 0xFDA56D7F and imm_val == 0x0F 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfda56d7f;  immval:0xf
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfda56d7f, 0xf, x1, 424, x3)

inst_131:
// rs1_val == 0xFE4DEAB5 and imm_val == 0x17 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfe4deab5;  immval:0x17
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfe4deab5, 0x17, x1, 428, x3)

inst_132:
// rs1_val == 0xFF6875BB and imm_val == 0x13 
// opcode: rori ; op1:x10; dest:x11; op1val:0xff6875bb;  immval:0x13
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xff6875bb, 0x13, x1, 432, x3)

inst_133:
// rs1_val == 0xFF93D0E4 and imm_val == 0x08 
// opcode: rori ; op1:x10; dest:x11; op1val:0xff93d0e4;  immval:0x8
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xff93d0e4, 0x8, x1, 436, x3)

inst_134:
// rs1_val == 0xFFD4AA23 and imm_val == 0x00 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffd4aa23;  immval:0x0
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffd4aa23, 0x0, x1, 440, x3)

inst_135:
// rs1_val == 0xFFE2FC91 and imm_val == 0x18 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffe2fc91;  immval:0x18
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffe2fc91, 0x18, x1, 444, x3)

inst_136:
// rs1_val == 0xFFF1D2A0 and imm_val == 0x1C 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfff1d2a0;  immval:0x1c
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfff1d2a0, 0x1c, x1, 448, x3)

inst_137:
// rs1_val == 0xFFF904D1 and imm_val == 0x0F 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfff904d1;  immval:0xf
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfff904d1, 0xf, x1, 452, x3)

inst_138:
// rs1_val == 0xFFFCDB0B and imm_val == 0x1D 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffcdb0b;  immval:0x1d
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffcdb0b, 0x1d, x1, 456, x3)

inst_139:
// rs1_val == 0xFFFEC2B4 and imm_val == 0x17 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffec2b4;  immval:0x17
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffec2b4, 0x17, x1, 460, x3)

inst_140:
// rs1_val == 0xFFFF1E5F and imm_val == 0x13 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffff1e5f;  immval:0x13
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffff1e5f, 0x13, x1, 464, x3)

inst_141:
// rs1_val == 0xFFFFA2EE and imm_val == 0x0B 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffa2ee;  immval:0xb
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffa2ee, 0xb, x1, 468, x3)

inst_142:
// rs1_val == 0xFFFFD410 and imm_val == 0x10 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffd410;  immval:0x10
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffd410, 0x10, x1, 472, x3)

inst_143:
// rs1_val == 0xFFFFEE0A and imm_val == 0x1A 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffee0a;  immval:0x1a
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffee0a, 0x1a, x1, 476, x3)

inst_144:
// rs1_val == 0xFFFFF32A and imm_val == 0x16 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffff32a;  immval:0x16
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffff32a, 0x16, x1, 480, x3)

inst_145:
// rs1_val == 0xFFFFFB84 and imm_val == 0x08 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffffb84;  immval:0x8
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffffb84, 0x8, x1, 484, x3)

inst_146:
// rs1_val == 0xFFFFFC1D and imm_val == 0x1A 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffffc1d;  immval:0x1a
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffffc1d, 0x1a, x1, 488, x3)

inst_147:
// rs1_val == 0xFFFFFE31 and imm_val == 0x17 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffffe31;  immval:0x17
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffffe31, 0x17, x1, 492, x3)

inst_148:
// rs1_val == 0xFFFFFF44 and imm_val == 0x04 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffff44;  immval:0x4
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffff44, 0x4, x1, 496, x3)

inst_149:
// rs1_val == 0xFFFFFFBA and imm_val == 0x1F 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffffba;  immval:0x1f
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffffba, 0x1f, x1, 500, x3)

inst_150:
// rs1_val == 0xFFFFFFC6 and imm_val == 0x0A 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffffc6;  immval:0xa
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffffc6, 0xa, x1, 504, x3)

inst_151:
// rs1_val == 0xFFFFFFE8 and imm_val == 0x11 
// opcode: rori ; op1:x10; dest:x11; op1val:0xffffffe8;  immval:0x11
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xffffffe8, 0x11, x1, 508, x3)

inst_152:
// rs1_val == 0xFFFFFFF2 and imm_val == 0x1F 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffffff2;  immval:0x1f
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffffff2, 0x1f, x1, 512, x3)

inst_153:
// rs1_val == 0xFFFFFFF9 and imm_val == 0x1D 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffffff9;  immval:0x1d
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffffff9, 0x1d, x1, 516, x3)

inst_154:
// rs1_val == 0xFFFFFFFD and imm_val == 0x00 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffffffd;  immval:0x0
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffffffd, 0x0, x1, 520, x3)

inst_155:
// rs1_val == 0xFFFFFFFE and imm_val == 0x1E 
// opcode: rori ; op1:x10; dest:x11; op1val:0xfffffffe;  immval:0x1e
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0xfffffffe, 0x1e, x1, 524, x3)

inst_156:
// rs1_val == 0x55440000 and imm_val == 0x1B 
// opcode: rori ; op1:x10; dest:x11; op1val:0x55440000;  immval:0x1b
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x55440000, 0x1b, x1, 528, x3)

inst_157:
// rs1_val == 0x7AA5E400 and imm_val == 0x0A 
// opcode: rori ; op1:x10; dest:x11; op1val:0x7aa5e400;  immval:0xa
TEST_IMM_OP( rori, x11, x10, 0x00000000, 0x7aa5e400, 0xa, x1, 532, x3)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x2_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x2_1:
    .fill 24*(XLEN/32),4,0xdeadbeef


signature_x1_0:
    .fill 134*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
